      IMPLICIT NONE
      REAL :: X,Y,DT=1.0
      INTEGER :: I
      CHARACTER :: CTIME*5,CSGI*1

! アニメーションにしたいときは先頭のコメント外す
!      CALL SWLSET('LWAIT',.FALSE.) 
!      CALL SWLSET('LALT',.TRUE.)      

      CALL GROPN(1)  ! dcl のオープン; 1 は画面への出力を表す.
      CALL GRFRM      ! 新しい描画フレームのオープン
      CALL GRSWND(-1.0, 1.0, -1.0, 1.0)  ! ウィンドウの設定
      CALL GRSVPT(0.1,  0.9,  0.1, 0.9)  ! ビューポートの設定
      CALL GRSTRN(1) ! 正規化変換の設定(1は線形変換)
      CALL GRSTRF    ! 正規化変換の確定
      CALL USDAXS    ! 座標軸の表示
!      CALL UXSTTL('T','TIME='//CTIME,-1.0) ! 時刻をグラフの上に表示

      DO I=0,10
!        WRITE(CTIME,'(F5.2)') DT*I ! CTIME に DT*I の値を書き出す
        X=0.1*I
        Y=0
!        CALL SGTXU(X,Y,'.') ! X,Yの位置に文字'O'を描画
        CALL SGTXU(X,Y,CSGI(1)) ! X,Yの位置に文字'O'を描画
      END DO
      
      CALL GRCLS ! dcl のクローズ
      
      END
